ForecastComb

Forecast Combination Methods

Provides geometric- and regression-based forecast combination methods under a unified user interface for the packages 'ForecastCombinations' and 'GeomComb'. Additionally, updated tools and convenience functions for data pre-processing are available in order to deal with common problems in forecast combination (missingness, collinearity). For method details see Hsiao C, Wan SK (2014). <doi:10.1016/j.jeconom.2013.11.003>, Hansen BE (2007). <doi:10.1111/j.1468-0262.2007.00785.x>, Elliott G, Gargano A, Timmermann A (2013). <doi:10.1016/j.jeconom.2013.04.017>, and Clemen RT (1989). <doi:10.1016/0169-2070(89)90012-5>.

Total

5,075

Last month

411

Last week

75

Average per day

14

Daily downloads

Total downloads

Description file content

Package
ForecastComb
Type
Package
Title
Forecast Combination Methods
Version
1.3.1
Depends
R (>= 3.0.2)
Imports
forecast (>= 7.3), ggplot2 (>= 2.1.0), Matrix (>= 1.2-6), mtsdi (>= 0.3.3), psych (>= 1.6.9), quadprog (>= 1.5-5), quantreg (>= 5.29)
Suggests
testthat (>= 1.0.2)
Author
Christoph E. Weiss, Gernot R. Roetzer, Eran Raviv
Maintainer
Christoph E. Weiss
Description
Provides geometric- and regression-based forecast combination methods under a unified user interface for the packages 'ForecastCombinations' and 'GeomComb'. Additionally, updated tools and convenience functions for data pre-processing are available in order to deal with common problems in forecast combination (missingness, collinearity). For method details see Hsiao C, Wan SK (2014). , Hansen BE (2007). , Elliott G, Gargano A, Timmermann A (2013). , and Clemen RT (1989). .
URL
BugReports
https://github.com/ceweiss/ForecastComb/issues
License
GPL (>= 2)
LazyData
true
RoxygenNote
5.0.1
NeedsCompilation
no
Packaged
2018-08-06 20:43:31 UTC; gernot
Repository
CRAN
Date/Publication
2018-08-07 13:50:08 UTC

install.packages('ForecastComb')

1.3.1

4 months ago

https://github.com/ceweiss/ForecastComb

Christoph E. Weiss

GPL (>= 2)

Depends on

R (>= 3.0.2)

Imports

forecast (>= 7.3), ggplot2 (>= 2.1.0), Matrix (>= 1.2-6), mtsdi (>= 0.3.3), psych (>= 1.6.9), quadprog (>= 1.5-5), quantreg (>= 5.29)

Suggests

testthat (>= 1.0.2)

Discussions